body {
    margin: 2% 10%;
    padding: 0;
}

header {
    display: flex;
    border-bottom: grey 2px solid;
    justify-content: flex-start;
    flex-direction: row;
}

header img {
    width: 8%;
    object-fit: contain;
}

.menu-bar {
    visibility: hidden;
}

header p {
    margin: 2% 0 2% 5%;
    flex-grow: 2;
    font-size: 320%;
}

.navigation-bar {
    margin: 2% 0;
    height: 100%;
    display: flex;
    justify-content: space-around;
    flex-direction: row;
}

.navigation-bar a {
    color: grey;
    font-size: 130%;
    text-decoration: none;
}

.showcase {
    width: 100%;
}

.showcase p,
h1 {
    margin: 1%;
}

.showcase img {
    width: 100%;
    height: 20em;
    object-fit: cover;
}

.showcase h1 {
    font-size: 200%;
    color: grey;
}

.showcase-content p {
    font-size: 0.9em;
}

.news-showcase {
    margin: 4% 1% 0 1%;
    display: flex;
    justify-content: space-between;
    border-bottom: grey 2px solid;
    font-size: 1.5em;
}

.news-showcase p,
a {
    margin: 0;
    text-decoration: none;
    color: black;
}

.news-showcase a {
    font-size: 0.8em;
}

.news-headline {
    margin: 1%;
}

.news-headline p {
    margin: 0;
    padding: 1% 0;
    border-bottom: grey 1px solid;
    font-size: 0.9em;
}

.table table {
    width: 100%;
    margin: 2% 0 0 0;
    border-collapse: collapse;
}

.table td {
    padding: 1.5%;
    font-size: 1em;
    text-align: center;
}

.table tr:nth-child(odd) {
    background: lightgrey;
}

.table th {
    background: gray;
    font-size: 1em;
    width: 20%;
    height: 3em;
    color: white;
}

.score {
    width: 20%;
}

.latest-news {
    margin: 2% 1% 0 1%;
    display: flex;
    justify-content: space-between;
    border-bottom: grey 2px solid;
    font-size: 1.5em;
}

.latest-news p,
a {
    text-decoration: none;
    color: black;
    margin: 0;
}

.latest-news a {
    font-size: 0.9em;
}

.weather-heading {
    margin: 3% 2% 0 2%;
    display: flex;
    flex-direction: column;
}

.weather-heading span {
    font-size: 0.9em;
}

.weather-heading h3 {
    margin: 0;
}

.weather-heading p {
    margin: 0;
    font-size: 1.3em;
}

.weather-status {
    margin: 2% 2%;
    display: flex;
    flex-direction: row;
}

.weather-status p {
    padding: 3% 0 2% 2%;
    font-size: 2.5em;
}

.weather-image {
    width: 17%;
}

.degree {
    margin: 0 0 1% 0;
    width: 3%;
    object-fit: contain;
}

.weather-heading table {
    margin-top: -2%;
    ;
    width: 100%;
}

.forecast {
    width: 80%;
    object-fit: cover;
}

.weather-heading td {
    text-align: center;
}

.temperature {
    margin: 0;
    width: 5%;
    object-fit: contain;
}

.news-description {
    margin: 3% 1% 0 1%;
    display: grid;
    grid-template-columns: auto;
    grid-row-gap: 1em;
    grid-template-rows: 3;
}

.news-description img {
    margin-right: 1%;
    width: 17%;
    object-fit: contain;
    float: left;
}

.news-description p {
    margin-top: 0;
    font-size: 0.9em;
}

footer {
    margin: 2% 1% 1% 1%;
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    border-top: 1px solid;
    border-bottom: 1px solid;
    padding: 1%;
}

@media (max-width:750px) {
    body {
        margin: 2% 2% 0 1%;
    }
    header {
        font-size: 42%;
    }
    .navigation-bar {
        display: none;
    }
    .menu-bar {
        visibility: visible;
        width: 6%;
        opacity: 0.6;
    }
    .showcase {
        margin-top: 1%;
        width: 100%;
        position: relative;
    }
    .showcase img {
        object-fit: cover;
        width: 100%;
    }
    .showcase-content {
        position: absolute;
        bottom: 1%;
        background: black;
        color: white;
        opacity: 0.7;
        font-size: 57%;
        width: 100%;
    }
    .news-showcase {
        font-size: 1.2em;
    }
    .news-headline {
        font-size: 0.8em;
    }
    .weather-heading {
        font-size: 0.8em;
    }
    .weather-status {
        font-size: 0.8em;
    }
    .table table {
        font-size: 0.7em;
        border-collapse: collapse;
    }
    .latest-news {
        font-size: 1.2em;
    }
    .news-description {
        font-size: 0.7em;
    }
    .news-description img {
        width: 15%;
    }
    footer {
        font-size: 0.8em;
    }
}

@media (min-width:750px) and (max-width:1200px) {
    body {
        margin: 2% 2% 0 1%;
    }
    header {
        font-size: 0.6em;
    }
    .navigation-bar {
        font-size: 0.7em;
    }
    .showcase {
        margin-bottom: 2%;
        width: 70%;
        float: left;
        position: relative;
    }
    .showcase img {
        width: 100%;
        height: 100%;
    }
    .showcase-content {
        width: 100%;
        position: absolute;
        bottom: 1%;
        font-size: 0.7em;
        background: black;
        color: white;
        opacity: 0.7
    }
    .news-showcase {
        margin-top: 0;
        width: 30%;
        font-size: 1em;
    }
    .news-headline {
        margin-bottom: 0;
        width: 100%;
        font-size: 0.8em;
    }
    .table table {
        border-collapse: collapse;
        font-size: 0.7em;
    }
    .weather-heading {
        font-size: 0.9em;
    }
    .weather status {
        font-size: 0.9em;
    }
    .latest-news {
        font-size: 1.2em;
    }
    .news-description {
        font-size: 0.8em;
    }
}